%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define testdir %{_datadir}/autotest/client/site_tests
%define eventdir %{_datadir}/autoqa/events
%define watcherdir %{_datadir}/autoqa/watchers
# TODO split python library into subpackage?

Name: autoqa
Summary: Automated quality assurance framework
Version: 0.8.5
Release: 1%{?dist}
Source: https://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Applications/Internet
URL: https://fedorahosted.org/autoqa
Requires: python(abi) >= 2.6
Requires: autotest
Requires: koji
Requires: mod_wsgi
Requires: python-fedora
Requires: python-peak-util-symbols
Requires: python-yourls >= 0.2.0
Requires: httpd
Requires: python-resultsdb
BuildRequires: python2-devel >= 2.6
%if 0%{?fedora}
# Packages needed by 'make test' (not present in RHEL)
BuildRequires: python-virtualenv
BuildRequires: python-pip
BuildRequires: python-peak-util-symbols
BuildRequires: python-bunch
BuildRequires: python-urlgrabber
BuildRequires: python-fedora
BuildRequires: yum
BuildRequires: koji
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch


%description
The autoqa project to provides a basic framework for executing a series of
tests, the tests, and a series of watcher scripts designed to execute tests
under certain conditions.


%prep
%setup -q


%if 0%{?fedora}
%check
make test
%else
echo "Not running tests on non-fedora"
%endif


%build
make build PYTHON=%{__python}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT TEST_DIR=%{testdir} EVENT_DIR=%{eventdir} WATCHER_DIR=%{watcherdir} PYTHON=%{__python}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS conf/autoqa.cron
%doc doc/control.autoqa.template doc/control.template doc/test_class.py.template
%dir %{_sysconfdir}/autoqa
%config(noreplace) %{_sysconfdir}/autoqa/autoqa.conf
%config(noreplace) %attr(0640,root,autotest) %{_sysconfdir}/autoqa/secrets.conf
%config %{_sysconfdir}/autoqa/repoinfo.conf
%config %{_sysconfdir}/autoqa/log_template.html
%config %{_sysconfdir}/autoqa/client-deps.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/autoqa
%config(noreplace) %{_sysconfdir}/httpd/conf.d/autoqa-git-hook.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/autoqa.conf
%dir %attr(0775,root,autotest) %{_localstatedir}/cache/autoqa
%dir %attr(0775,root,autotest) %{_localstatedir}/run/autoqa
%{_datadir}/autoqa/
%{_bindir}/autoqa
%{_sbindir}/autoqa-git-hook.wsgi
%{testdir}
%{_datadir}/autotest/client/bin/site_utils.py*
%{_datadir}/autotest/server/site_autotest.py*
%{_localstatedir}/www/error/autoqa/
%{python_sitelib}/autoqa*
%dir %attr(0755, autotest, root) %{_localstatedir}/log/%{name}

%changelog
* Wed Dec 18 2013 Tim Flink <tflink@redhat.com> - 0.8.5-1
 - Updating repoinfo for F20 release
 - Improve clarity of upgradepath output (#445)

* Mon Sep 30 2013 Tim Flink <tflink@redhat.com> - 0.8.4-1
 - adding branched f20 repos
 - adding unicode check to bodhi_utils.bodhi_already_commented to fix #444

* Tue Jul 30 2013 Tim Flink <tflink@redhat.com> - 0.8.3-1
 - deprecating F17 repos for F17 EOL
 - disabling conflicts test due to high crash rate

* Tue Jul 23 2013 Tim Flink <tflink@redhat.com> - 0.8.2-1
 - Fixing #440 - change depcheck to use /var/tmp instead of /tmp

* Mon Jul 22 2013 Tim Flink <tflink@redhat.com> - 0.8.1-1
 - Fixing #439 - depcheck crashing on post f17
 - deprecating f17 in preparation for eol

* Thu Mar 15 2012 Kamil Paral <kparal@redhat.com> - 0.8.0-1
 - Release of autoqa-0.8.0

* Tue Nov 29 2011 Kamil Paral <kparal@redhat.com> - 0.7.1-1
 - Release of autoqa-0.7.1

* Tue Nov 29 2011 Kamil Paral <kparal@redhat.com> - 0.7.0-1
 - Release of autoqa-0.7.0

* Thu Aug 11 2011 Kamil Paral <kparal@redhat.com> - 0.6.1-1
 - Release of autoqa-0.6.1

* Thu Aug 04 2011 Martin Krizek <mkrizek@redhat.com> - 0.6.0-1
 - Release of autoqa-0.6.0

* Fri Jul 15 2011 James Laska <jlaska@redhat.com> - 0.5.1-1
 - Release of autoqa-0.5.1

* Thu Jun 27 2011 James Laska <jlaska@redhat.com> - 0.5.0-1
 - Release of autoqa-0.5.0

* Thu Apr 28 2011 James Laska <jlaska@redhat.com> - 0.4.7-1
 - Release of autoqa-0.4.7

* Mon Apr 11 2011 James Laska <jlaska@redhat.com> - 0.4.6-1
 - Release of autoqa-0.4.6
